Bug 24322 - National Library of Medicine (NLM) call number to XSLT Detail
Summary: National Library of Medicine (NLM) call number to XSLT Detail
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-12-31 13:39 UTC by Olli-Antti Kivilahti
Modified: 2020-10-20 17:54 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24322 - National Library of Medicine (NLM) call number to XSLT Detail (3.10 KB, patch)
2019-12-31 13:41 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail (3.06 KB, patch)
2020-01-08 04:54 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail (3.40 KB, patch)
2020-09-13 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail (3.45 KB, patch)
2020-09-15 10:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 24322: Simplify condition to separate elements (2.21 KB, patch)
2020-09-30 12:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2019-12-31 13:39:51 UTC
NLM is missing from OPAC/Intra XSLTDetail.
Comment 1 Olli-Antti Kivilahti 2019-12-31 13:41:43 UTC
Created attachment 96701 [details] [review]
Bug 24322 - National Library of Medicine (NLM) call number to XSLT Detail
Comment 2 Joonas Kylmälä 2020-01-07 10:19:17 UTC
Please include a test plan for this.
Comment 3 Joonas Kylmälä 2020-01-07 10:21:06 UTC
Also, format the commit title with "Bug 24322: XXX" instead of "Bug 24322 - XXX"
Comment 4 Katrin Fischer 2020-01-07 10:23:02 UTC
Also spotted a small thing, it should have its own class:
+        <span class="results_summary ddc">
Comment 5 Olli-Antti Kivilahti 2020-01-08 04:54:43 UTC
Created attachment 96973 [details] [review]
Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail

Thank you Joonas and Katrin for your excellent discoveries.
Comment 6 Joonas Kylmälä 2020-01-08 07:29:43 UTC
You didn't add the test plan still – you really should because 1) you will likely get more people signing off this because they don't need to delve into the code to check what this thing does and what is the feature (though a bit more verbose commit message would help also with this) 2) it gives a baseline for what things to test and others can do in addition other types of testing than what is just mentioned in the test plan.
Comment 7 Olli-Antti Kivilahti 2020-01-08 07:59:17 UTC
TEST PLAN:

1. Find a bib record
2. Add MARC21 field 060
3. Show the bib via the bib detail page (detail.pl)
4. Observe the field 060 as NLM next to the other call numbers for this bib.
Comment 8 Jon Knight 2020-02-14 22:09:20 UTC
Tried to test this on the Bywater Solutions sandboxes but despite it appearing to apply the patch I can't see any NLM output in the Normal view on cgi-bin/koha/catalogue/detail.pl after making a new dummy MARC record and adding a 060 field. This is even though can see LOC and DDC output (050 and 082) in the same output.
Comment 9 David Nind 2020-02-15 01:34:08 UTC
Patch no longer applies:

Applying: Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetDetail.xsl).
error: could not build fake ancestor
Patch failed at 0001 Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-24322-National-Library-of-Medicine-NLM-call-nu-kgmgi2.patch
Comment 10 David Nind 2020-02-15 01:57:25 UTC
(In reply to Jon Knight from comment #8)
> Tried to test this on the Bywater Solutions sandboxes but despite it
> appearing to apply the patch I can't see any NLM output in the Normal view
> on cgi-bin/koha/catalogue/detail.pl after making a new dummy MARC record and
> adding a 060 field. This is even though can see LOC and DDC output (050 and
> 082) in the same output.

Hi Jon.

That would be because the patch wasn't actually applied.

The way to tell it hasn't applied in ByWater's sandboxes:

1) Go to Logs > Koha Git log. The commit for the patch(es) with the bug number you are testing should show at the top of the page, e.g. Bug 24322: National....

2) Create a sandbox without putting a bug number in the 'Bug number' field. You will then get the current master branch for Koha. Then go to Actions > Apply patches. It will then show you what it has done and that the patch failed.

Have to admit that it's not very obvious to identify that the patch didn't apply!

David
Comment 11 Katrin Fischer 2020-09-13 22:02:45 UTC
Created attachment 110025 [details] [review]
Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail

This adds MARC21 060 - National Library of Medicine Call Number
https://www.loc.gov/marc/bibliographic/bd060.html

To test:
- Catalog records using the 060, examples can be found in the
  LOC documentation.
- Verify that the field displays on the detail pages in staff
  and OPAC

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
RRescued this patch by redoing the changes. Only change made
was moving the section up before "Other classification".
Comment 12 David Nind 2020-09-15 10:00:35 UTC
Created attachment 110096 [details] [review]
Bug 24322: National Library of Medicine (NLM) call number to XSLT Detail

This adds MARC21 060 - National Library of Medicine Call Number
https://www.loc.gov/marc/bibliographic/bd060.html

To test:
- Catalog records using the 060, examples can be found in the
  LOC documentation.
- Verify that the field displays on the detail pages in staff
  and OPAC

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
RRescued this patch by redoing the changes. Only change made
was moving the section up before "Other classification".

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 Katrin Fischer 2020-09-15 20:13:09 UTC
Taking the chance to count myself as QA here after David's sign-off.
Comment 14 Jonathan Druart 2020-09-30 12:34:06 UTC
Created attachment 110982 [details] [review]
Bug 24322: Simplify condition to separate elements
Comment 15 Jonathan Druart 2020-10-01 09:44:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 16 Lucas Gass 2020-10-20 17:54:23 UTC
enhancement will not be backported to 20.05.x